qpid::sys::Mutex Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes
qpid::sys::Mutex Class Reference

Mutex lock. More...

`#include <qpid/sys/posix/Mutex.h>`

List of all members.

## Public Types
typedef ::qpid::sys::ScopedLock< Mutex > | ScopedLock
typedef ::qpid::sys::ScopedUnlock < Mutex > | ScopedUnlock
typedef ::qpid::sys::ScopedLock< Mutex > | ScopedLock
typedef ::qpid::sys::ScopedUnlock < Mutex > | ScopedUnlock
## Public Member Functions
| Mutex ()
| ~Mutex ()
void | lock ()
void | unlock ()
bool | trylock ()
| Mutex ()
| ~Mutex ()
void | lock ()
void | unlock ()
bool | trylock ()
## Protected Attributes
pthread_mutex_t | mutex
boost::recursive_mutex | mutex

## Detailed Description

Mutex lock.

Definition at line 43 of file Mutex.h.

## Member Typedef Documentation

typedef ::qpid::sys::ScopedLock<Mutex> qpid::sys::Mutex::ScopedLock

Definition at line 40 of file Mutex.h.

typedef ::qpid::sys::ScopedLock<Mutex> qpid::sys::Mutex::ScopedLock

Definition at line 47 of file Mutex.h.

typedef ::qpid::sys::ScopedUnlock<Mutex> qpid::sys::Mutex::ScopedUnlock

Definition at line 41 of file Mutex.h.

typedef ::qpid::sys::ScopedUnlock<Mutex> qpid::sys::Mutex::ScopedUnlock

Definition at line 48 of file Mutex.h.

## Constructor & Destructor Documentation

qpid::sys::Mutex::Mutex | ( |  | ) | `[inline]`

Definition at line 107 of file Mutex.h.

References QPID_POSIX_ASSERT_THROW_IF, and mutex.

qpid::sys::Mutex::~Mutex | ( |  | ) | `[inline]`

Definition at line 111 of file Mutex.h.

References QPID_POSIX_ABORT_IF, and mutex.

qpid::sys::Mutex::Mutex | ( |  | ) | `[inline]`

qpid::sys::Mutex::~Mutex | ( |  | ) | `[inline]`

## Member Function Documentation

void qpid::sys::Mutex::lock | ( |  | ) | `[inline]`

Definition at line 115 of file Mutex.h.

References QPID_POSIX_ASSERT_THROW_IF, and mutex.

void qpid::sys::Mutex::lock | ( |  | ) | `[inline]`

bool qpid::sys::Mutex::trylock | ( |  | ) | `[inline]`

Definition at line 123 of file Mutex.h.

References mutex.

bool qpid::sys::Mutex::trylock | ( |  | ) | `[inline]`

void qpid::sys::Mutex::unlock | ( |  | ) | `[inline]`

Definition at line 119 of file Mutex.h.

References QPID_POSIX_ASSERT_THROW_IF, and mutex.

void qpid::sys::Mutex::unlock | ( |  | ) | `[inline]`

## Member Data Documentation

pthread_mutex_t qpid::sys::Mutex::mutex`[protected]`

Definition at line 51 of file Mutex.h.

Referenced by Mutex(), ~Mutex(), lock(), unlock(), trylock(), and qpid::sys::Condition::wait().

boost::recursive_mutex qpid::sys::Mutex::mutex`[protected]`

Definition at line 58 of file Mutex.h.

The documentation for this class was generated from the following files:

- qpid/sys/posix/Mutex.h
- qpid/sys/windows/Mutex.h